#include <bits/stdc++.h>

using namespace std;

int main()
{
int j,i,n,a[1000],p,k=-1;
bool oof=false;
  scanf("%d",&n);
  for(i=0;i<n;i++)
    scanf("%d",&a[i]);

  for(i=0;i<n;i++){
        for(j=0;j<n;j++)
            {if(i<j && a[j]>a[i]){
            if(k==-1){
            p=a[i];
            a[i]=a[j];
            a[j]=p;
            k=j;
            oof=true;}

            else{
             p=a[i];
            a[i]=a[k];
            a[k]=p;
             p=a[i];
            a[i]=a[j];
            a[j]=p;
            k=j;
            }
            }
            if (i==n-1 && j==n-2) {
            p=a[i];
            a[i]=a[j];
            a[j]=p;}
            }
        if(oof) break;
        }

for(i=0;i<n;i++)
    printf("%d ",a[i]);
    return 0;
}